Skip to main content
POST
Creates one or more duplicates of an existing item with specified duplication options.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

DuplicateItemId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Creates one or more duplicates of an existing item with specified duplication options. - Request

duplicatesToCreate
object[]
required

The basic information (SKU and name) for the items to be created as duplicates.

executeItemCreatedWorkflowOnCreation
boolean
required

Indicates whether the item creation workflow should be executed after creating the duplicates.

itemDuplicationOptions
object
required

Specifies which properties and aspects of the source item should be duplicated to the new items.

Response

Items successfully duplicated

Creates one or more duplicates of an existing item with specified duplication options. - Response

createdItems
string<uuid>[]
required

The list of unique identifiers (ArtikelKeys) for all successfully created duplicate items.